\documentclass[11pt]{standalone}
\usepackage{stanli}

\begin{document}
    
\begin{tikzpicture}
%\draw[help lines](-5,-5) grid (14,13);

\scaling{1.25}

\draw[->,thick] (3,2)--(4,2) node[right]{$x_\mathrm{g}$};
\draw[->,thick] (3,2)--(3,1) node[left]{$z_\mathrm{g}$};

%% Structure
\point{a}{0}{0};
\point{b}{4.5}{0};
\point{c}{0}{3};
\point{d}{4.5}{3}; 
\point{e}{0}{6};
\point{f}{4.5}{6}; 

\beam{1}{a}{c};
\beam{1}{b}{d};
\beam{1}{c}{d};
\beam{1}{c}{e};
\beam{1}{d}{f};
\beam{1}{e}{f};

\hinge{1}{f};

\support{1}{a};
\support{3}{b};

\lineload{1}{c}{d};
\lineload{1}{e}{f};

\load{3}{c}[120][215];

\dimensioning{1}{a}{b}{-1.4}[$6$~m];
\dimensioning{2}{b}{d}{-1}[$4$~m];
\dimensioning{2}{d}{f}{-1}[$4$~m];

\notation{1}{a}{$\bf 1$}[right=1mm];
\notation{1}{b}{$\bf 2$}[above right=1mm];
\notation{1}{c}{$\bf 3$}[above right=1mm];
\notation{1}{c}{40 kNm}[below right=3mm];
\notation{1}{d}{$\bf 4$}[right=1mm];
\notation{1}{e}{$\bf 5$}[left];
\notation{1}{f}{$\bf 6$}[right=1mm];

\notation{5}{c}{d}[18 kNm$^{-1}$][.5][above=14mm]
\notation{5}{e}{f}[28 kNm$^{-1}$][.5][above=14mm]

\end{tikzpicture}

\end{document}
